; Copyright 1999-2001, C-Media Inc.

[CMEDIA]
;; LCD-PC 5Jacks, disable NonXeaR
PCI\VEN_1039&DEV_7012&SUBSYS_0F121019 = WDM_CMPCI1
PCI\VEN_1039&DEV_7012&SUBSYS_0F151019 = WDM_CMPCI1
PCI\VEN_1039&DEV_7012&SUBSYS_0F161019 = WDM_CMPCI1
PCI\VEN_1039&DEV_7012&SUBSYS_0F051019 = WDM_CMPCI1

;; enable 9738 hardware booster
PCI\VEN_8086&DEV_2445&SUBSYS_09741019 = WDM_CMPCI2

;; 0301
PCI\VEN_1039&DEV_7012&SUBSYS_030113F6 = WDM_CMPCI3
PCI\VEN_8086&DEV_2445&SUBSYS_030113F6 = WDM_CMPCI3
PCI\VEN_8086&DEV_24C5&SUBSYS_030113F6 = WDM_CMPCI3
PCI\VEN_1106&DEV_3059&SUBSYS_030113F6 = WDM_CMPCI3

;; 2ch
PCI\VEN_1039&DEV_7012&SUBSYS_18091019 = WDM_CMPCI4

;; 2ch, disable XeaR, disable SPDIF
PCI\VEN_1039&DEV_7012&SUBSYS_A0081019 = WDM_CMPCI5

;; DeskNote
PCI\VEN_1039&DEV_7012&SUBSYS_0F171019 = WDM_CMPCI6

;; DeskNote, 4Jacks, Line-in as Rear
PCI\VEN_1039&DEV_7012&SUBSYS_0F131019 = WDM_CMPCI7

;; enable SiS southbridge SPDIF function
PCI\VEN_1039&DEV_7012&SUBSYS_80911043 = SIS_SPDIF
PCI\VEN_1039&DEV_7012&SUBSYS_18031019 = SIS_SPDIF
PCI\VEN_1039&DEV_7012&SUBSYS_217314A4 = SIS_SPDIF

[WDM_CMPCI1]
SpeakerConfig           =0x06
ListenerMode=0x01
MicMute                 =0x01
DisableAUX              =0x01
JackConfig=0x00
ControlFlags=0x04
DisableSpdifOut         =0x01
DisableSpdifIn          =0x01

[WDM_CMPCI2]
MasterVolBoost          =0x01

[WDM_CMPCI3]
MasterVolBoost          =0x01
CutMsSpeaker            =0x01
MicMute                 =0x01
MasterVolumeL      =0xfff9fac9
MasterVolumeR      =0xfff9fac9

[WDM_CMPCI4]
DisableCenterLfe        =0x01
DisableSurround         =0x01
DisableLineIn           =0x01
DisableSpdifIn          =0x01

[WDM_CMPCI5]
DisableCenterLfe        =0x01
DisableSurround         =0x01
DisableSpdifOut         =0x01
DisableSpdifIn          =0x01
ControlFlags=0x02

[WDM_CMPCI6]
DisableCenterLfe        =0x01
DisableSurround         =0x01
ControlFlags=0x02
DisableLineIn           =0x01
DisableAUX              =0x01

[WDM_CMPCI7]
JackConfig=0x01
DisableSpdifIn          =0x01

[SIS_SPDIF]
EnableSBSpdif           =0x01

